#include "IRremote.h"

// Numéro du pin sortie du récepteur 
long int res_val;
const int receiver = 11; 

// Déclaration d'un objet IRrecv
IRrecv irrecv(receiver);           
decode_results results;            

void setup()  
{
  // Initialisation interface série 
  Serial.begin(9600);
    
  // Init du récepteur 
  irrecv.enableIRIn();
}

void loop()  
{
  // Lecture de la télécommande 
  if (irrecv.decode(&results))
  {
    // Récupération du code   
    res_val = results.value;

    // Transfert à l'interface série 
    Serial.println(res_val, HEX);
    
    // Réception de la nouvelle valeur
    irrecv.resume();

    // Temporisateur de la boucle 
    delay(1000); 
  }  
}
